
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #961

--disable-libarchive not working properly

April 10, 2020 04:01 - Audacious User2

Status: Closed Start date: April 09, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 4.1   

Affects version:    

Description

Debian sid, git current as of April 9.

If I try to build audacious with --disable-libarchive, the build will fail with a bunch of errors in archive_reader.cc (regardless of whether

libarchive-dev is installed)

meson/ninja has the same issue.

I can provide more details if needed

History

#1 - April 14, 2020 13:34 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

Fixed, thanks:

https://github.com/audacious-media-player/audacious/commit/27313f081cc22836428e2b5ad6439641c9eb351d

#2 - December 21, 2020 20:47 - Thomas Lange

- Target version set to 4.1
